Package org.pgpainless.decryption_verification.syntax_check

# Class Transition

java.lang.Object
org.pgpainless.decryption_verification.syntax_check.Transition

public class Transition extends Object
Result of applying a transition rule. Transition rules can be described by implementing the `Syntax` interface.

## Constructor Summary

Constructors
Constructor
Description
`Transition(State newState, StackSymbol... pushedItems)`

## Method Summary

Modifier and Type
Method
Description
`State`
`getNewState()`
Return the new `State` that is reached by applying the transition.
`List<StackSymbol>`
`getPushedItems()`
Return a list of `StackSymbols` that are pushed onto the stack by applying the transition.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Transition

public Transition(@Nonnull State newState, @Nonnull StackSymbol... pushedItems)

## Method Details

### getNewState

@Nonnull public State getNewState()
Return the new `State` that is reached by applying the transition.

Returns:
  new state

### getPushedItems

@Nonnull public List<StackSymbol> getPushedItems()
Return a list of `StackSymbols` that are pushed onto the stack by applying the transition. The list contains items in the order in which they are pushed onto the stack. The list may be empty.

Returns:
  list of items to be pushed onto the stack